%{!?__pear:       %global __pear       %{_bindir}/pear}

%global pear_name Auth_SASL

Summary:     Abstraction of various SASL mechanism responses
Name:        php-pear-Auth-SASL
Version:     1.2.0
Release:    2%{?dist}
License:     BSD-3-Clause
URL:         http://pear.php.net/package/Auth_SASL
Source0:      http://pear.php.net/get/%{pear_name}-%{version}.tgz

BuildArch:        noarch

BuildRequires:    php(language) >= 5.4
BuildRequires:    php-pear >= 1.10.1

Requires:         php(language) >= 5.4
Requires:         php-pear(PEAR) >= 1.10.1
Requires:         php-pcre

Requires(post):   %{__pear}
Requires(postun): %{__pear}

Provides:         php-pear(%{pear_name}) = %{version}
Provides:         php-composer(pear/auth_sasl) = %{version}

%description
Provides code to generate responses to common SASL mechanisms, including:
o Digest-MD5
o CramMD5
o Plain
o Anonymous
o Login (Pseudo mechanism)


%prep
%setup -c -q
mv package.xml %{pear_name}-%{version}/%{name}.xml


%build


%install
rm -rf %{buildroot}

cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

rm -rf %{buildroot}%{pear_metadir}/.??*

mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}




%post
%{__pear} install --nodeps --soft --force --register-only %{pear_xmldir}/%{name}.xml >/dev/null || :


%postun
if [ "$1" -eq "0" ]; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only  %{pear_name} >/dev/null || :
fi


%files
%{pear_phpdir}/Auth
%{pear_xmldir}/%{name}.xml


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.2.0-2
- Rebuilt for loongarch64

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-1
- initial build
